<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="RewriterConfig" type="URLRewriter.Config.RewriterConfigSerializerSectionHandler, URLRewriter" />
  </configSections>
  <RewriterConfig configSource="App_Data\RewriterConfig.config"></RewriterConfig>
  <system.web>
    <pages validateRequest="false" enableEventValidation="false" enableViewStateMac="false" viewStateEncryptionMode="Never" />
    <httpRuntime maxRequestLength="2097151" executionTimeout="360000" appRequestQueueLimit="300" />
    <sessionState mode="InProc" timeout="60" cookieless="false" />
    <compilation debug="true" batch="false">
      <assemblies>
        <add assembly="System.Management, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
      </assemblies>
      <buildProviders>
        <add extension=".htm" type="System.Web.Compilation.PageBuildProvider" />
      </buildProviders>
    </compilation>
    <customErrors mode="Off" defaultRedirect="~/s/tool/fun/error.html">
      <error statusCode="404" redirect="/s/tool/fun/404.aspx" />
      <error statusCode="500" redirect="/s/tool/fun/500.aspx" />
    </customErrors>
    <authentication mode="Forms">
      <forms loginUrl="~/e/login.aspx" protection="All" name=".User" />
    </authentication>
    <httpHandlers>
      <add verb="*" path="*.jpg" type="WMhandler,ZKCMS" />
      <add verb="*" path="*.aspx" type="URLRewriter.RewriterFactoryHandler, URLRewriter" />
      <add verb="*" path="*.htm" type="URLRewriter.RewriterFactoryHandler, URLRewriter" />
    </httpHandlers>
  </system.web>
  <location path="e">
    <system.web>
      <authorization>
        <deny users="?" />
      </authorization>
    </system.web>
  </location>
  <appSettings>
    <add key="cn.b2m.eucp.sdkhttp.SDKService" value="http://sdkhttp.eucp.b2m.cn/sdk/SDKService" />
    <add key="net.send1.i.Service" value="http://i.send1.net/Service.asmx" />
    <add key="UC_KEY" value="zkey" />
    <add key="UC_APPID" value="2" />
    <add key="UC_IP" value="" />
    <add key="UC_API" value="http://bbs.hbzkwl.com/uc_server" />
    <add key="UC_CHARSET" value="utf-8" />
    <add key="FCKeditor:MaxWidthOfUploadedImg" value="960"/>
  </appSettings>
  <system.webServer>
    <handlers>
      <add name="HTM" path="*.htm" verb="*" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v2.0.50727\aspnet_isapi.dll" resourceType="Unspecified" preCondition="classicMode,runtimeVersionv2.0,bitness32" />
    </handlers>
    <httpProtocol>
      <customHeaders>
        <clear />
        <add name="X-UA-Compatible" value="IE=EmulateIE7" />
      </customHeaders>
    </httpProtocol>
  </system.webServer>
</configuration>